unit Unit6;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, jpeg, ExtCtrls;

type
  TExitt = class(TForm)
    Label1: TLabel;
    img: TImage;
    btnN: TBitBtn;
    tmr1: TTimer;
    img2: TImage;
    img3: TImage;
    img11: TImage;
    tmr2: TTimer;
    btnY: TBitBtn;
    img12: TImage;
    img13: TImage;
    img14: TImage;
    img15: TImage;
    img16: TImage;
    procedure tmr1Timer(Sender: TObject);
    procedure btnNClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnNMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure btnNMouseLeave(Sender: TObject);
    procedure btnYMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure btnYClick(Sender: TObject);
    procedure tmr2Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Exitt: TExitt;
  i,i2,forr: integer;

implementation

uses index;

{$R *.dfm}

procedure TExitt.tmr1Timer(Sender: TObject);
begin
  if i=4 then i:=1
  else i:=i+1;
if i=1 then
  begin
    img.Visible:=True;
    img2.Visible:=False;
    img3.Visible:=False;
  end
    else if i=2 then
      begin
        img.Visible:=False;
        img2.Visible:=True;
      end
        else if i=3 then
          begin
            img2.Visible:=False;
            img3.Visible:=True;
          end
            else
              begin
                img3.Visible:=False;
                img2.Visible:=True;
              end;
end;

procedure TExitt.btnNClick(Sender: TObject);
begin
Close;
end;

procedure TExitt.FormCreate(Sender: TObject);
begin
i:=0;
i2:=1;
end;

procedure TExitt.btnNMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  tmr1.Enabled:=True;
  tmr2.Enabled:=False;
end;

procedure TExitt.btnNMouseLeave(Sender: TObject);
begin
  img3.Visible:=False;
end;

procedure TExitt.btnYMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
 tmr2.Enabled:=True;     //Включаем таймер для подтверждения выхода
 tmr1.Enabled:=False;    //Выключаем таймер для возврата в игру
end;

procedure TExitt.btnYClick(Sender: TObject);
begin
  Close;
  Start.btn1.Click;
end;

procedure TExitt.tmr2Timer(Sender: TObject);
begin
    if i2=6 then i2:=1   //Проходимся циклом меняя изображение
  else i2:=i2+1;
if i2=1 then
  begin
    img11.Visible:=True;
    img16.Visible:=False;
  end
    else if i2=2 then
      begin
        img11.Visible:=False;
        img12.Visible:=True;
      end
        else if i2=3 then
          begin
           img12.Visible:=False;
           img13.Visible:=True;
          end
            else if i2=4 then
              begin
                img13.Visible:=False;
                img14.Visible:=True;
              end
                else if i2=5 then
                  begin
                    img14.Visible:=False;
                    img15.Visible:=True;
                  end
                   else
                     begin
                      img15.Visible:=False;
                      img16.Visible:=True;
                     end;
end;
end.
